c
c *** PROGRAM SERIE2 *** 5 Mai 97
c
      REAL*8 tempo1,tempo2
	DIMENSION t(1000000)
c
c
c *** lê o valor de N
    4 write(*,5)
    5 format(//,5x,'Entre com o valor de N (par, positivo) = ',\)
      read(*,*) N
c
      open(20,file='saida',form='formatted')
c
c *** calcula a série para N termos 
c     e o tempo de processamento com TIMEF
      tempo1 = TIMEF()
      serie = 0
      do i = 1, N
c 	  t(i) = 1.0/(2**i)
 	  t(i) = 1.0/(2.0**i)
        write(20,8) i,t(i)
 	  serie = serie + t(i)
 	end do
      tempo2 = TIMEF()
    8 format(10x,'termo = ',i8,10x,'valor = ',f7.5)
      close(20)
c
c *** informa o resultado da serie na tela
      write(*,6) N, serie, tempo2-tempo1
    6 format(//,5x,'O resultado da série para N = ',i10,
     #       //,20x,'é = ',f7.5,
     #       //,5x,'tempo de processamento (s) = ',f7.2)
c
c *** retorna ao início para um novo cálculo
      goto 4
c
c
c $$$ BLOCO BRAÇAL $$$
c
c *** calcula os 10 primeiros termos da serie, separadamente
c
c     a = 1.0/(2**1)
c     b = 1.0/(2**2)
c     c = 1.0/(2**3)
c     d = 1.0/(2**4)
c     e = 1.0/(2**5)
c	f = 1.0/(2**6)
c     g = 1.0/(2**7)
c	h = 1.0/(2**8)
c     o = 1.0/(2**9)
c	p = 1.0/(2**10)
c
      serie = a + b + c + d + e + f + g + h + o + p
c
c *** informa o valor de cada termo
c     write(*,7) a,b,c,d,e,f,g,h,o,p,serie
c   7 format(10x,'a = ',f7.5,/,
c    #       10x,'b = ',f7.5,/,
c    #       10x,'c = ',f7.5,/,
c    #       10x,'d = ',f7.5,/,
c    #       10x,'e = ',f7.5,/,
c    #       10x,'f = ',f7.5,/,
c    #       10x,'g = ',f7.5,/,
c    #       10x,'h = ',f7.5,/,
c    #       10x,'o = ',f7.5,/,
c    #       10x,'p = ',f7.5,//,
c	#       20x,'serie = ',f7.5,/)
c
      end